﻿///////////////////////////////////////////////////////////////////////////////
//
//  Page.xaml.cs
//
// 
// © 2007 Microsoft Corporation. All Rights Reserved.
//
// This file is licensed as part of the Silverlight 1.0 SDK, for details look 
// here: http://go.microsoft.com/fwlink/?LinkID=89144&clcid=0x409
//
///////////////////////////////////////////////////////////////////////////////

using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;

namespace HelloWorld11
{
    public partial class Page : Canvas
    {
        public void Page_Loaded(object o, EventArgs e)
        {
            // Required to initialize variables
            InitializeComponent();

            // Get the startup arguments (passed from the hosting Web page).
            IDictionary<string, string> startupArguments = WebApplication.Current.StartupArguments;
            
            // Use the key to get the startup argument.
            string strText = startupArguments["textVal"];

            // Find the element on the XAML page.
            TextBlock tb = this.FindName("param") as TextBlock;

            // Set the text value to that of the init param.
            tb.SetValue(TextBlock.TextProperty, strText);
        }
    }
}
